daps error

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

daps error

Guillaume Gardet
Hi,

I have a problem with daps. If I do :
daps --docconfig=DC-opensuse-all dist-html

I get :
********************************************************************************
Hint: XEP_WRAPPER "/usr/bin/xep" does not exist
warning: failed to load external entity "urn:x-suse:xslt:profiling:novdoc-profile.xsl"
cannot parse urn:x-suse:xslt:profiling:novdoc-profile.xsl
warning: failed to load external entity "urn:x-suse:xslt:profiling:novdoc-profile.xsl"
cannot parse urn:x-suse:xslt:profiling:novdoc-profile.xsl
make: *** [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/1_click_install_i.xml] Error 4
make: *** Waiting for unfinished jobs....
make: *** [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/MAIN.opensuse.xml] Error 4
warning: failed to load external entity "urn:x-suse:xslt:profiling:novdoc-profile.xsl"
cannot parse urn:x-suse:xslt:profiling:novdoc-profile.xsl
make: *** [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/adm_shell.xml] Error 4
warning: failed to load external entity "urn:x-suse:xslt:profiling:novdoc-profile.xsl"
cannot parse urn:x-suse:xslt:profiling:novdoc-profile.xsl
make: *** [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/64bit_issues.xml] Error 4
********************************************************************************

I use daps 1.0RC2.

Any idea ?

Guillaume

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: daps error

Frank Sundermeyer
On Thu, 29 Mar 2012 15:13:14 +0200 Guillaume Gardet wrote:

Hi,

> I have a problem with daps. If I do :
> daps --docconfig=DC-opensuse-all dist-html
>
> I get :
> ********************************************************************************
> Hint: XEP_WRAPPER "/usr/bin/xep" does not exist
> warning: failed to load external entity
> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
> urn:x-suse:xslt:profiling:novdoc-profile.xsl warning: failed to load
> external entity "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot
> parse urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/1_click_install_i.xml]
> Error 4 make: *** Waiting for unfinished jobs.... make: ***
> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/MAIN.opensuse.xml]
> Error 4 warning: failed to load external entity
> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
> urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/adm_shell.xml]
> Error 4 warning: failed to load external entity
> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
> urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/64bit_issues.xml]
> Error 4
> ********************************************************************************
>
> I use daps 1.0RC2.
>
> Any idea ?

when building the SUSE manuals, you also need to install
suse-xsl-stylesheets. The stylesheets used to be part of DAPS, but we
recently separated them into a package of it's own.

It should have been installed by default (as a recommends of daps), but
I made a typo in the specfile.

suse-xsl-stylesheets is also available from Documentation:Tools


--
Regards
        Frank

Frank Sundermeyer, Technical Writer, Documentation
SUSE Linux Products GmbH, Maxfeldstr. 5, D-90409 Nuernberg
Tel: +49-911-74053-0, Fax: +49-911-7417755;  http://www.opensuse.org/
SUSE Linux Products GmbH, GF:
Jeff Hawn, Jennifer Guild, Felix Imendörffer, HRB 16746 (AG Nürnberg)
"Reality is always controlled by the people who are most insane" Dogbert
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: daps error

Guillaume Gardet


Le 29/03/2012 15:28, Frank Sundermeyer a écrit :

> On Thu, 29 Mar 2012 15:13:14 +0200 Guillaume Gardet wrote:
>
> Hi,
>
>> I have a problem with daps. If I do :
>> daps --docconfig=DC-opensuse-all dist-html
>>
>> I get :
>> ********************************************************************************
>> Hint: XEP_WRAPPER "/usr/bin/xep" does not exist
>> warning: failed to load external entity
>> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
>> urn:x-suse:xslt:profiling:novdoc-profile.xsl warning: failed to load
>> external entity "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot
>> parse urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
>> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/1_click_install_i.xml]
>> Error 4 make: *** Waiting for unfinished jobs.... make: ***
>> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/MAIN.opensuse.xml]
>> Error 4 warning: failed to load external entity
>> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
>> urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
>> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/adm_shell.xml]
>> Error 4 warning: failed to load external entity
>> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
>> urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
>> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/64bit_issues.xml]
>> Error 4
>> ********************************************************************************
>>
>> I use daps 1.0RC2.
>>
>> Any idea ?
> when building the SUSE manuals, you also need to install
> suse-xsl-stylesheets. The stylesheets used to be part of DAPS, but we
> recently separated them into a package of it's own.
>
> It should have been installed by default (as a recommends of daps), but
> I made a typo in the specfile.
>
> suse-xsl-stylesheets is also available from Documentation:Tools

It is already installed (version 1.9.1-4.1).

Another idea?

Guillaume


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: daps error

Frank Sundermeyer
On Thu, 29 Mar 2012 15:38:16 +0200 Guillaume Gardet wrote:

Hi,

> >> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/adm_shell.xml]
> >> Error 4 warning: failed to load external entity
> >> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
> >> urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
> >> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/64bit_issues.xml]
> >> Error 4
> >> ********************************************************************************
> >>
> >> I use daps 1.0RC2.
> >>
> >> Any idea ?
> > when building the SUSE manuals, you also need to install
> > suse-xsl-stylesheets. The stylesheets used to be part of DAPS, but
> > we recently separated them into a package of it's own.
> >
> > It should have been installed by default (as a recommends of daps),
> > but I made a typo in the specfile.
> >
> > suse-xsl-stylesheets is also available from Documentation:Tools
>
> It is already installed (version 1.9.1-4.1).
>
> Another idea?

Please check  /etc/xml/suse-catalog.xml

Adding/deleting entries into this catalog was not handled correctly
upon updating with daps and suse-xs-stylesheets until recently (sorry
for that).

1.) Remove daps and suse-xs-stylesheets
2.) Check /etc/xml/suse-catalog.xml for remaining entries with

    id="daps*"
    id="novdoc*"
    id="suse-xsl-stylesheets"

    and remove them.

3.) Re-install daps and suse-xs-stylesheets

Next time you do an update of these packages, the process should be
handled correctly.

Now type

xmlcatalog /etc/xml/catalog urn:x-suse:xslt:profiling:novdoc-profile.xsl

It should return
file:///usr/share/daps/daps-xslt/profiling/novdoc-profile.xsl

If so, DAPS should work correctly.

Sorry for the mess... .

--
Regards
        Frank

Frank Sundermeyer, Technical Writer, Documentation
SUSE Linux Products GmbH, Maxfeldstr. 5, D-90409 Nuernberg
Tel: +49-911-74053-0, Fax: +49-911-7417755;  http://www.opensuse.org/
SUSE Linux Products GmbH, GF:
Jeff Hawn, Jennifer Guild, Felix Imendörffer, HRB 16746 (AG Nürnberg)
"Reality is always controlled by the people who are most insane" Dogbert
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: daps error

Guillaume Gardet


Le 29/03/2012 15:55, Frank Sundermeyer a écrit :

> On Thu, 29 Mar 2012 15:38:16 +0200 Guillaume Gardet wrote:
>
> Hi,
>
>>>> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/adm_shell.xml]
>>>> Error 4 warning: failed to load external entity
>>>> "urn:x-suse:xslt:profiling:novdoc-profile.xsl" cannot parse
>>>> urn:x-suse:xslt:profiling:novdoc-profile.xsl make: ***
>>>> [/home/guillaume/perso/opensuse-doc_svn/en/build/.profiled/x86-amd64-em64t_osuse_/64bit_issues.xml]
>>>> Error 4
>>>> ********************************************************************************
>>>>
>>>> I use daps 1.0RC2.
>>>>
>>>> Any idea ?
>>> when building the SUSE manuals, you also need to install
>>> suse-xsl-stylesheets. The stylesheets used to be part of DAPS, but
>>> we recently separated them into a package of it's own.
>>>
>>> It should have been installed by default (as a recommends of daps),
>>> but I made a typo in the specfile.
>>>
>>> suse-xsl-stylesheets is also available from Documentation:Tools
>> It is already installed (version 1.9.1-4.1).
>>
>> Another idea?
> Please check  /etc/xml/suse-catalog.xml
>
> Adding/deleting entries into this catalog was not handled correctly
> upon updating with daps and suse-xs-stylesheets until recently (sorry
> for that).
>
> 1.) Remove daps and suse-xs-stylesheets
> 2.) Check /etc/xml/suse-catalog.xml for remaining entries with
>
>     id="daps*"
>     id="novdoc*"
>     id="suse-xsl-stylesheets"
>
>     and remove them.
>
> 3.) Re-install daps and suse-xs-stylesheets
>
> Next time you do an update of these packages, the process should be
> handled correctly.
>
> Now type
>
> xmlcatalog /etc/xml/catalog urn:x-suse:xslt:profiling:novdoc-profile.xsl
>
> It should return
> file:///usr/share/daps/daps-xslt/profiling/novdoc-profile.xsl
>
> If so, DAPS should work correctly.
>
> Sorry for the mess... .
>

Thanks a lot, it is working fine now!! :D

Guillaume

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]